TP-Docs
HTML5 Icon HTML5 Icon HTML5 Icon
TP on Social Media

Recent

Welcome to TinyPortal. Please login or sign up.

September 27, 2023, 03:05:46 AM

Login with username, password and session length
Members
Stats
  • Total Posts: 194,549
  • Total Topics: 21,181
  • Online today: 59
  • Online ever: 3,540
  • (September 03, 2022, 01:38:54 AM)
Users Online
Users: 0
Guests: 59
Total: 59

Upgrade 2.2.2 to 2.3.0 "Database error"?

Started by PoML, April 26, 2023, 11:40:53 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

PoML

Hi!

tried to upgrade version 2.2.2 to 2.3.0 after I had to deactivate tiny calendar after my provider upgraded PHP to 8.2

I read that you "might" need to apply a patch before, sp I attempted first without it, but got this database error when upgrading:

"Database error:
Invalid default value for 'item_type'
File: /customers/c/c/a/c5jnzrz36/webroots/r538174/medlemmer/forum/Packages/temp/install.php
Line: 354
"
Link to my forum: https://smbergen.org/medlemmer/forum
SMF version: SMF 2.1.3
TP version: 2.3.0
Default Forum Language: Norwegian / English
Theme name and version: Default Curve 2
Browser Name and Version: Chrome  112.0.5615.138
Mods installed: NA
Related Error messages: Database error, see above

PoML

#1
Started to get "too many redirects" when trying to log in after the failed upgrade-attempt.  Maybe the upgrade did some changes before it stopped?  Any advise?

UPDATE:  managed to install the fix and re-attempt upgrade from a still-logged in cell phone.
That did the trick. Now I "only" have 33000 errors in the log (and counting) to deal with.

@rjen

Running Latest TP on SMF2.1 at: www.fjr-club.nl